/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.pmarlen.client.view;

import javax.swing.JFrame;

/**
 *
 * @author alfredo
 */
public class PreferencesModalDialog extends javax.swing.JDialog {

	/**
	 * Creates new form PrererencesModalDialog
	 */
	public PreferencesModalDialog(JFrame parent) {
		super(parent, true);
		initComponents();
	}

	/**
	 * This method is called from within the constructor to initialize the form.
	 * WARNING: Do NOT modify this code. The content of this method is always
	 * regenerated by the Form Editor.
	 */
	@SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        modoImpresionRadioGrp = new javax.swing.ButtonGroup();
        jPanel1 = new javax.swing.JPanel();
        jPanel4 = new javax.swing.JPanel();
        jLabel2 = new javax.swing.JLabel();
        imprTermicaRadioBtn = new javax.swing.JRadioButton();
        imprBlueToothRadioBtn = new javax.swing.JRadioButton();
        jPanel3 = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        dirBluetoothPrinter = new javax.swing.JTextField();
        jPanel2 = new javax.swing.JPanel();
        guardarBtn = new javax.swing.JButton();

        setDefaultCloseOperation(javax.swing.WindowConstants.DISPOSE_ON_CLOSE);
        setTitle("Preferencias");

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder("Impresión"));
        jPanel1.setLayout(new java.awt.GridLayout(2, 1));

        jPanel4.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Modo Impresión :");
        jLabel2.setPreferredSize(new java.awt.Dimension(210, 15));
        jPanel4.add(jLabel2);

        modoImpresionRadioGrp.add(imprTermicaRadioBtn);
        imprTermicaRadioBtn.setText("Impr. Temica");
        imprTermicaRadioBtn.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                imprTermicaRadioBtnActionPerformed(evt);
            }
        });
        jPanel4.add(imprTermicaRadioBtn);

        modoImpresionRadioGrp.add(imprBlueToothRadioBtn);
        imprBlueToothRadioBtn.setText("Bluetooth");
        jPanel4.add(imprBlueToothRadioBtn);

        jPanel1.add(jPanel4);

        jPanel3.setLayout(new java.awt.FlowLayout(java.awt.FlowLayout.LEFT));

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Dir. Bluetooth de Impresora :");
        jLabel1.setPreferredSize(new java.awt.Dimension(210, 15));
        jPanel3.add(jLabel1);

        dirBluetoothPrinter.setColumns(12);
        jPanel3.add(dirBluetoothPrinter);

        jPanel1.add(jPanel3);

        getContentPane().add(jPanel1, java.awt.BorderLayout.CENTER);

        guardarBtn.setText("Guardar");
        jPanel2.add(guardarBtn);

        getContentPane().add(jPanel2, java.awt.BorderLayout.SOUTH);

        java.awt.Dimension screenSize = java.awt.Toolkit.getDefaultToolkit().getScreenSize();
        setBounds((screenSize.width-487)/2, (screenSize.height-158)/2, 487, 158);
    }// </editor-fold>//GEN-END:initComponents

    private void imprTermicaRadioBtnActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_imprTermicaRadioBtnActionPerformed
        // TODO add your handling code here:
    }//GEN-LAST:event_imprTermicaRadioBtnActionPerformed

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JTextField dirBluetoothPrinter;
    private javax.swing.JButton guardarBtn;
    private javax.swing.JRadioButton imprBlueToothRadioBtn;
    private javax.swing.JRadioButton imprTermicaRadioBtn;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JPanel jPanel3;
    private javax.swing.JPanel jPanel4;
    private javax.swing.ButtonGroup modoImpresionRadioGrp;
    // End of variables declaration//GEN-END:variables

	/**
	 * @return the dirBluetoothPrinter
	 */
	public javax.swing.JTextField getDirBluetoothPrinter() {
		return dirBluetoothPrinter;
	}

	/**
	 * @return the guardarBtn
	 */
	public javax.swing.JButton getGuardarBtn() {
		return guardarBtn;
	}

	/**
	 * @return the imprTermicaRadioBtn
	 */
	public javax.swing.JRadioButton getImprTermicaRadioBtn() {
		return imprTermicaRadioBtn;
	}

	/**
	 * @return the imrBlueToothRadioBtn
	 */
	public javax.swing.JRadioButton getImprBlueToothRadioBtn() {
		return imprBlueToothRadioBtn;
	}
}
